Submit Claim evidence
curl --request POST \
--url https://api.heyrafiki.space/v1/claims/{claim_id}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"information_request_id": "<string>",
"evidence_refs": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({information_request_id: '<string>', evidence_refs: ['<string>']})
};
fetch('https://api.heyrafiki.space/v1/claims/{claim_id}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/claims/{claim_id}/evidence"
payload = {
"information_request_id": "<string>",
"evidence_refs": ["<string>"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/claims/{claim_id}/evidence"
payload := strings.NewReader("{\n \"information_request_id\": \"<string>\",\n \"evidence_refs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "claim",
"status": "draft",
"provider_claim_reference": "<string>",
"submission_version": 2,
"amount": {
"currency": "<string>",
"billed": 1,
"approved": 1,
"remitted": 1,
"settled": 1
},
"service_period": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"lines": [
{
"line_number": 2,
"code_system": "<string>",
"code_system_version": "<string>",
"service_code": "<string>",
"units": 123,
"amount": 2
}
],
"information_requests": [
{
"id": "<string>",
"object": "claim_information_request",
"reason_code": "<string>",
"requested_evidence_types": [
"<string>"
],
"status": "open",
"due_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"adjudication": {
"id": "<string>",
"object": "claim_adjudication",
"version": 2,
"decision": "approved",
"amount": {
"currency": "<string>",
"billed": 2,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"lines": [
{
"line_number": 2,
"amount": {
"billed": 2,
"allowed": 1,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
]
}
],
"decided_at": "2023-11-07T05:31:56Z"
},
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Submit Claim evidence
Fulfils an open information request and resubmits the Claim. Requires claims:write.
POST
/
claims
/
{claim_id}
/
evidence
Submit Claim evidence
curl --request POST \
--url https://api.heyrafiki.space/v1/claims/{claim_id}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"information_request_id": "<string>",
"evidence_refs": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({information_request_id: '<string>', evidence_refs: ['<string>']})
};
fetch('https://api.heyrafiki.space/v1/claims/{claim_id}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/claims/{claim_id}/evidence"
payload = {
"information_request_id": "<string>",
"evidence_refs": ["<string>"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/claims/{claim_id}/evidence"
payload := strings.NewReader("{\n \"information_request_id\": \"<string>\",\n \"evidence_refs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "claim",
"status": "draft",
"provider_claim_reference": "<string>",
"submission_version": 2,
"amount": {
"currency": "<string>",
"billed": 1,
"approved": 1,
"remitted": 1,
"settled": 1
},
"service_period": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"lines": [
{
"line_number": 2,
"code_system": "<string>",
"code_system_version": "<string>",
"service_code": "<string>",
"units": 123,
"amount": 2
}
],
"information_requests": [
{
"id": "<string>",
"object": "claim_information_request",
"reason_code": "<string>",
"requested_evidence_types": [
"<string>"
],
"status": "open",
"due_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"adjudication": {
"id": "<string>",
"object": "claim_adjudication",
"version": 2,
"decision": "approved",
"amount": {
"currency": "<string>",
"billed": 2,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"lines": [
{
"line_number": 2,
"amount": {
"billed": 2,
"allowed": 1,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
]
}
],
"decided_at": "2023-11-07T05:31:56Z"
},
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Headers
A caller-owned key for safely retrying one write.
Required string length:
8 - 255Path Parameters
A public Claim identifier.
Maximum string length:
100Pattern:
^clm_[A-Za-z0-9_-]+$Body
application/json
Response
The Claim was resubmitted
Maximum string length:
100Pattern:
^clm_[A-Za-z0-9_-]+$Allowed value:
"claim"Available options:
draft, submitted, queried, approved, partially_approved, denied, settled, reversed, cancelled Required range:
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 10, 2026
Was this page helpful?

